Subject: linux-next: build failure after merge of the hyperv tree

From: [email-masked]
Date: Tue, 18 Apr 2023 18:00:21 +0100

Hi all,

After merging the hyperv tree, today's linux-next build (x86 allmodconfig)
failed like this:

/tmp/next/build/arch/x86/kernel/x86_init.c:36:12: error: static declaration of 'set_rtc_noop' follows non-static declaration
   36 | static int set_rtc_noop(const struct timespec64 *now) { return -EINVAL; }
      |            ^~~~~~~~~~~~
In file included from /tmp/next/build/arch/x86/include/asm/mpspec.h:7,
                 from /tmp/next/build/arch/x86/include/asm/topology.h:38,
                 from /tmp/next/build/include/linux/topology.h:36,
                 from /tmp/next/build/include/linux/gfp.h:8,
                 from /tmp/next/build/include/linux/xarray.h:15,
                 from /tmp/next/build/include/linux/radix-tree.h:21,
                 from /tmp/next/build/include/linux/idr.h:15,
                 from /tmp/next/build/include/linux/kernfs.h:12,
                 from /tmp/next/build/include/linux/sysfs.h:16,
                 from /tmp/next/build/include/linux/kobject.h:20,
                 from /tmp/next/build/include/linux/pci.h:35,
                 from /tmp/next/build/arch/x86/kernel/x86_init.c:9:
/tmp/next/build/arch/x86/include/asm/x86_init.h:333:12: note: previous declaration of 'set_rtc_noop' with type 'int(const struct timespec64 *)'
  333 | extern int set_rtc_noop(const struct timespec64 *now);
      |            ^~~~~~~~~~~~
/tmp/next/build/arch/x86/kernel/x86_init.c:37:13: error: static declaration of 'get_rtc_noop' follows non-static declaration
   37 | static void get_rtc_noop(struct timespec64 *now) { }
      |             ^~~~~~~~~~~~
In file included from /tmp/next/build/arch/x86/include/asm/mpspec.h:7,
                 from /tmp/next/build/arch/x86/include/asm/topology.h:38,
                 from /tmp/next/build/include/linux/topology.h:36,
                 from /tmp/next/build/include/linux/gfp.h:8,
                 from /tmp/next/build/include/linux/xarray.h:15,
                 from /tmp/next/build/include/linux/radix-tree.h:21,
                 from /tmp/next/build/include/linux/idr.h:15,
                 from /tmp/next/build/include/linux/kernfs.h:12,
                 from /tmp/next/build/include/linux/sysfs.h:16,
                 from /tmp/next/build/include/linux/kobject.h:20,
                 from /tmp/next/build/include/linux/pci.h:35,
                 from /tmp/next/build/arch/x86/kernel/x86_init.c:9:
/tmp/next/build/arch/x86/include/asm/x86_init.h:334:13: note: previous declaration of 'get_rtc_noop' with type 'void(struct timespec64 *)'
  334 | extern void get_rtc_noop(struct timespec64 *now);
      |             ^~~~~~~~~~~~

Caused by commit

  25dcc7316ef7def25c ("x86/init: Make get/set_rtc_noop() public")

I will use the hyperv tree from yesterday instead.